#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0xcfb3b800, "ipv6_chk_addr" },
	{ 0x8c9c69a3, "dst_release" },
	{ 0xe3bef7fa, "nft_register_expr" },
	{ 0xdfe3dc97, "l3mdev_master_ifindex_rcu" },
	{ 0x351287ed, "nft_fib_validate" },
	{ 0x5958490c, "nft_fib_store_result" },
	{ 0x3e8e3012, "nft_unregister_expr" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xaf196e85, "ip6_route_lookup" },
	{ 0x85d30184, "nft_fib_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd32054b1, "__nf_ip6_route" },
	{ 0x6d5bf833, "nft_fib_policy" },
	{ 0x150e3a70, "nft_fib_dump" },
	{ 0xc6711b82, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
};

MODULE_INFO(depends, "nf_tables,nft_fib");


MODULE_INFO(srcversion, "E6530A805DC9EA01AE8E598");
